Fields

Get Fields

GET /v1/fields

GET/v1/fields
GET
/v1/fields

List all fields

Returns a list of fields defined in your account. Pass systemFields=true to include built-in system fields (such as First Name, Last Name, Email) along with your custom fields. Pass systemFields=false or omit the parameter to return only custom fields.

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Query Parameters

systemFieldsstring

Pass true to include built-in system fields (such as First Name, Last Name, and Email) along with your custom fields. Pass false or omit this parameter to return only custom fields.

Value in: "true" | "false"

Responses

200
Successfully fetched fields of the user
{
  "message": "Successfully fetched fields of the user",
  "payload": [
    {
      "id": "0VOLRwYe82",
      "label": "First Name",
      "fieldType": "text"
    },
    {
      "id": "pRjY60lBPa",
      "label": "Last Name",
      "fieldType": "text"
    },
    {
      "id": "KNz9Zgl7R3",
      "label": "Email",
      "fieldType": "text"
    }
  ]
}

Request

curl -X GET \
  "https://open-api.saleshandy.com/v1/fields" \
  -H "x-api-key: YOUR_API_KEY"

Response

No response body